# Get

`GET /user/keys/:key_id`

Returns the public SSH key of the authorized user

**Required Scopes:** `USER_KEY`

## URL Parameters

```typescript
interface URLParameters {
  /** The ID of the SSH key */
  key_id: number; // Example: 456
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the SSH key */
  id?: number;
  /** The title/name of the SSH key */
  title?: string;
  /** The SSH public key content */
  content?: string;
}
```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/user/keys/456",
  "html_url": "https://app.buddy.works/ssh-keys/details/456",
  "id": 456,
  "title": "My Development Key",
  "content": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7VLpP... user@example.com"
}
```

---
Original source: https://buddy.works/docs/api/platform/account/ssh-keys/get